org.eclipse.net4j.util.collection

## Class PreferenceHistory

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.collection.History<java.lang.String>
    - - org.eclipse.net4j.util.collection.PreferenceHistory

- All Implemented Interfaces:
    java.lang.Iterable<IHistoryElement<java.lang.String>>, IHistory<java.lang.String>, INotifier

      public class PreferenceHistory
      extends History<java.lang.String>

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.History

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreferenceHistory(OMPreference<java.lang.String[]> preference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMPreference<java.lang.String[]>` | `getPreference()`
    `protected void` | `load()`
    `protected void` | `save()`

    - ### Methods inherited from class org.eclipse.net4j.util.collection.History

      `add, changed, clear, createElement, get, getData, getElements, getMostRecent, indexOf, isEmpty, iterator, remove, setElements, size, toArray`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### PreferenceHistory

          public PreferenceHistory(OMPreference<java.lang.String[]> preference)

  - ### Method Detail

    - #### getPreference

          public OMPreference<java.lang.String[]> getPreference()

    - #### load

          protected void load()

      Overrides:
        `load` in class `History<java.lang.String>`

    - #### save

          protected void save()

      Overrides:
        `save` in class `History<java.lang.String>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html